"use strict";

require("source-map-support/register");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _require = require("@masala/parser"),
    Streams = _require.Streams,
    F = _require.F,
    Parser = _require.Parser,
    response = _require.parsec.response;

var text = function text(_text) {
  return new Parser(function (input) {
    var index = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
    // console.log("input.unsafeGet(index)", input.unsafeGet(index));
    var current = input.get(index);

    if (current && current.value && _text === current.value) {
      return response.accept(current.value, input, index + 1, true);
    }

    return response.reject(input, index, false);
  });
};

var count = function count() {
  return F.try(text("a").map(function () {
    return {
      a: 1
    };
  })).or(text("b").map(function () {
    return {
      b: 1
    };
  })).optrep().map(function (r) {
    return r.array().reduce(function (acc, f) {
      return acc[Object.keys(f)[0]] ? _objectSpread({}, acc, {
        [Object.keys(f)[0]]: acc[Object.keys(f)[0]] + 1
      }) : _objectSpread({}, acc, {}, f);
    }, {});
  });
};

var parse_raw = function parse_raw() {
  return text("open").then(F.not(text("close")).optrep()).then(text("close"));
};

var parse_count = function parse_count() {
  return text("open").then(count()).then(text("close"));
};

var stream = Streams.ofArray(["open", "a", "b", "a", "close"]);
var parsing_raw = parse_raw().parse(stream);
console.log("parsing_raw.value", JSON.stringify(parsing_raw.value));
var parsing_count = parse_count().parse(stream);
console.log("parsing_count.value", JSON.stringify(parsing_count.value)); // const parse_layer = () =>
//   text("open")
//     .then(F.layer(count()).and(F.not(text("close")).optrep()))
//     .then(text("close"));
// parsing_layer.value ["open",[{"a":2,"b":1},["a","b","a"]],"close"]
//# sourceMappingURL=layer.js.map