"use strict";

require("source-map-support/register");

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) { return; } var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var _require = require("@masala/parser"),
    Streams = _require.Streams,
    C = _require.C,
    F = _require.F;

var remainingCells = function remainingCells() {
  return F.try(C.char(",").drop().then(cells())).or(F.returns([]));
};

var cellContent = function cellContent() {
  return F.not(C.charIn(",\n")).optrep().map(function (r) {
    return r.array().join("");
  });
};

var cells = function cells() {
  return cellContent().then(F.lazy(remainingCells).opt()).map(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
        first = _ref2[0],
        next = _ref2[1];

    return [first].concat(next.orElse([]));
  });
};

var eol = function eol() {
  return C.char("\n");
};

var line = function line() {
  return cells().thenLeft(eol()) // Not sure why I have to wrap each line in an Array
  // Maybe because I unwrapped the List in cells?
  .map(function (r) {
    return [r];
  });
};

var csvFile = function csvFile() {
  return line().rep().thenLeft(F.eos()).map(function (a) {
    return a.array();
  });
};

var stream = Streams.ofString("test,no\na,b\nlook_ma_only_one_cell\n");
var parsing = csvFile().parse(stream);
console.log("parsing", JSON.stringify(parsing));
console.log("parsing.value", JSON.stringify(parsing.value));
//# sourceMappingURL=parsecsv.js.map