"use strict";

require("source-map-support/register");

var _require = require("@masala/parser"),
    Streams = _require.Streams,
    F = _require.F,
    Parser = _require.Parser,
    response = _require.parsec.response;

var text = function text(_text) {
  return new Parser(function (input) {
    var index = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
    // console.log("input.unsafeGet(index)", input.unsafeGet(index));
    var current = input.get(index);

    if (current && current.value && _text === current.value) {
      return response.accept(current.value, input, index + 1, true);
    }

    return response.reject(input, index, false);
  });
};

var parse = function parse() {
  return text("open") // .debug("open")
  .then(F.try(F.lazy(parse)).or(F.not(text("close"))).optrep() // If the below is uncommented then the Array is flattened
  // .map(({ value }) => value)
  ) // .debug("content")
  .then(text("close"));
};

var stream = Streams.ofArray(["open", "a", "b", "open", "c", "close", "d", "close"]);
var parsing = parse().parse(stream);
console.log("parsing", JSON.stringify(parsing));
console.log("parsing.value", JSON.stringify(parsing.value));
//# sourceMappingURL=test.js.map