
# My Website is down, what is going on?

A threat faced by many NGOs, independent media and bloggers is having their voices muted because their website is down or has been defaced. This is a frustrating problem and can have a lot of causes like bad website maintenance, unreliable hosting, [script-kiddies](https://en.wikipedia.org/wiki/Script_kiddie), a 'denial of service' attack or a website takeover. This section of the Digital First Aid Kit will walk you through some basic steps to diagnose potential problems using material from [My Website is Down](https://github.com/OpenInternet/MyWebsiteIsDown/blob/master/MyWebsiteIsDown.md).

It is important to know that there are many reasons why your website can go down. It can range from technical problems at the
company that hosts the website or the not updated CMS like Joomla or Wordpress. Finding the problem and possible solutions to
your website's problem can be cumbersome. It is good practice to **contact your webmaster and the website host** after diagnosing
these common problems below. If none of these options are available to you, [seek help from an organization you trust](#website_down_end).

As a start, consider:

- Who built your website? Are they available to help?
- Was it built using Wordpress or another popular CMS platform?
- Who is your web hosting provider? If you do not know, you can use a tool [like this](http://www.whoishostingthis.com/) to help.

<a href="questions/error_message">Start</a>
