<blockquote>
<p>If you still need help after all the questions you answered you can contact a trusted organization and ask for support:</p>
<p>Before you get in touch, please ask yourself the following questions:</p>
<ul>
<li>How is the company/organization structured and sustained? What types of vetting or reporting are they required to do, if any?</li>
<li>Consider what country/countries they have a legal presence in and which they would be required to comply with law enforcement and other legal requests</li>
<li>What logs are created, and for how long are they available?</li>
<li>Are there restrictions regarding the type of content the service will host/proxy, and could they have an impact on your site?</li>
<li>Are there restrictions on the countries where they can provide service?</li>
<li>Do they accept a form of payment you can use? Can you afford their service?</li>
<li>Secure communications - you should be able to log in securely and communicate with the service provider privately.</li>
<li>Is there an option for two-factor authentication, to improve the security of administrator access? This or related secure access policies can help reduce the threat of other forms of attacks against your website.</li>
<li>What type of ongoing support will you have access to? Is there an additional cost for support, and/or will you receive sufficient support if you are using a &#39;free&#39; tier?</li>
<li>Can you &#39;test-drive&#39; your website before you move over via a staging site?</li>
</ul>
</blockquote>

<ul>
<li><p><strong>Backups</strong> - In addition to the services and suggestions below, it’s always a good idea to make sure you have backups (that you store somewhere other than the same place your website is!). Many hosts and website platforms have this included, but it’s best to also have additional, offline copies.</p>
</li>
<li><p><strong>Keep software up to date</strong> - If you are using a Content Management System (CMS) such as WordPress or Drupal, make sure that your website technology is updated to the latest software, especially if there have been security updates.</p>
</li>
<li><p><strong>Monitoring</strong> - There are many services that can constantly check on your site and email or text you if it goes down. <a href="http://mashable.com/2010/04/09/free-uptime-monitoring/">This Mashable article</a> lists 10 popular ones. Be aware that the email or phone number you use for monitoring will be clearly associated with managing the website.</p>
</li>
</ul>

<ul>
<li><a href="https://github.com/OpenInternet/MyWebsiteIsDown">My Website is Down</a></li>
<li><a href="https://www.eff.org/keeping-your-site-alive">Keeping your site alive</a></li>
<li><a href="https://securityinabox.org/en/chapter_7_2">Security in a Box</a></li>
<li><a href="https://ssd.eff.org/risk/threats">Threat modeling, Surveillance Self Defense Guide</a></li>
<li><a href="https://www.cert.be/files/DDoS-proactive-reactive.pdf">DDoS proactive and reactive measures</a></li>
</ul>
